package com.ims.eval.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.ims.eval.entity.PerformanceBenchmarkInfo;
import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.*;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;

import javax.annotation.Resource;

/**
 * @author hlf
 * @date 2024/3/21 15:58
 * 文件说明：业绩对标管理
 */
public class PerformanceBenchmarkingManageController {

	@Resource
	private IPerformanceBenchmarkInfoService performanceBenchmarkInfoService;

	@Resource
	private IEvaluateRuleService evaluateRuleService;

	@Resource
	private IEvaluateRuleInfoService evaluateRuleInfoService;

	@Resource
	private IOrganizationEvaluationService organizationEvaluationService;

	@Resource
	private IOrganizationEvaluationInfoService organizationEvaluationInfoService;

	@Resource
	private IOrganizationEvaluationRuleService organizationEvaluationRuleService;

	/**
	 * 业绩对标管理列表信息（分页）
	 *
	 * @param pageNum        当前记录起始索引
	 * @param pageSize       每页显示记录数
	 * @param manageCategory 经营类别（火电、水电、风电、光伏、煤电、海外、综合）
	 * @param year           年度
	 * @param quarter        季度
	 * @param monthly        月度
	 * @return 结果
	 */
	@GetMapping(value = "/list")
	public R list(
		@RequestParam(value = "pageNum") Integer pageNum,
		@RequestParam(value = "pageSize") Integer pageSize,
		@RequestParam(value = "manageCategory") String manageCategory,
		@RequestParam(value = "year", required = false) Integer year,
		@RequestParam(value = "quarter", required = false) Integer quarter,
		@RequestParam(value = "monthly", required = false) Integer monthly) {
		IPage<PerformanceBenchmarkInfo> list = performanceBenchmarkInfoService.listPage(pageNum, pageSize, year, quarter, monthly, manageCategory);
		return R.ok().data(list);
	}

}
